import { API_URL, authInstance } from "@shared";
import { makeAutoObservable } from "mobx";

type Vehicle = {
  vehicle: {
    id: number;
    tail_number: number;
    type: number;
    carrier_id: number;
    carrier: string;
    uuid?: string;
  };
  device_status?: {
    device_uuid: string;
    online: boolean;
    gps_ok: boolean;
    media_service_ok: boolean;
    last_update: string;
    is_connected: boolean;
  };
};

class VehicleStore {
  vehicles: Vehicle[] = [];

  constructor() {
    makeAutoObservable(this);
  }

  getVehicles = async () => {
    const response = await authInstance.get(`${API_URL}/vehicle`);
    this.vehicles = response.data;
  };
}

export const vehicleStore = new VehicleStore();
